<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.ydl.ydlcommon.view.TitleBar
        android:id="@+id/title_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/title_bar_height"
        android:background="#d3574c"
        app:pa_left_start_icon="@drawable/platform_common_back"
        app:pa_title_bar_text_color="#ffffff"
        app:pa_title_text="感恩红包" />

    <ImageView
        android:id="@+id/iv_diver"
        android:layout_width="match_parent"
        android:layout_height="@dimen/divide_line_stroke_width"
        android:layout_below="@+id/title_bar"
        android:background="#EDEDED" />

    <ScrollView
        android:id="@+id/sv_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/iv_diver"
        android:overScrollMode="never">

        <LinearLayout
            android:id="@+id/ll_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/white"
            android:focusable="true"
            android:focusableInTouchMode="true"
            android:gravity="center_vertical"
            android:orientation="vertical">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="@dimen/platform_default_dis_size"
                android:text="红包金额："
                android:textColor="#000000" />

            <com.yidianling.user.mine.view.RedPacketGridView
                android:id="@+id/recharge_rgv"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@color/white" />

            <ImageView
                android:layout_width="match_parent"
                android:layout_height="15dp"
                android:layout_marginTop="@dimen/platform_default_dis_size"
                android:background="#EDEDED" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="45dp">

                <TextView
                    android:id="@+id/recharge_design"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="@dimen/platform_default_dis_size"
                    android:text="其他金额"
                    android:textColor="#000000"
                    android:visibility="invisible" />

                <TextView
                    android:id="@+id/recharge_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_centerInParent="true"
                    android:padding="@dimen/platform_default_dis_size"
                    android:text="其他金额"
                    android:textColor="#000000" />

                <EditText
                    android:id="@+id/recharge_et"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_toRightOf="@+id/recharge_design"
                    android:background="@null"
                    android:hint="请输入金额"
                    android:inputType="numberDecimal"
                    android:visibility="invisible" />

            </RelativeLayout>

            <ImageView
                android:id="@+id/iv_diver2"
                android:layout_width="match_parent"
                android:layout_height="15dp"
                android:layout_below="@+id/ll_content"
                android:background="#EDEDED" />

            <EditText
                android:id="@+id/recharge_thanks_content"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_below="@+id/recharge_et"
                android:layout_centerVertical="true"
                android:background="@null"
                android:gravity="top"
                android:hint="一点心意，请笑纳！"
                android:inputType="text"
                android:maxLines="8"
                android:minLines="6"
                android:paddingLeft="10dp"
                android:textColorHint="#c5c4c4" />

            <ImageView
                android:id="@+id/iv_diver3"
                android:layout_width="match_parent"
                android:layout_height="15dp"
                android:layout_below="@+id/ll_content"
                android:background="#EDEDED" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="20dp"
                android:gravity="center_horizontal"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingRight="2dp"
                    android:text="¥"
                    android:textColor="@color/bg_black"
                    android:textSize="17sp" />

                <TextView
                    android:id="@+id/tv_price_hint"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:text="100.00"
                    android:textColor="@color/bg_black"
                    android:textSize="35sp" />

            </LinearLayout>

            <com.ydl.ydlcommon.view.RoundCornerButton
                android:id="@+id/rcb_next"
                style="?android:attr/borderlessButtonStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/iv_diver2"
                android:layout_marginLeft="@dimen/platform_default_dis_size"
                android:layout_marginTop="16dp"
                android:layout_marginRight="@dimen/platform_default_dis_size"
                android:text="发红包"
                android:textColor="#d3574c"
                android:textSize="16sp"
                app:pa_round_btn_bg="#f4d573"
                app:pa_round_btn_radio_size="4dp" />

            <TextView
                android:id="@+id/tv_tips_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="44dp"
                android:text="@string/redpacket_tips_title"
                android:textColor="#666"
                android:textSize="14dp" />

            <TextView
                android:id="@+id/tv_tips_content1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="14dp"
                android:layout_marginRight="15dp"
                android:text="@string/redpacket_tips_content1"
                android:textColor="#999"
                android:textSize="14dp" />

            <TextView
                android:id="@+id/tv_tips_content2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="14dp"
                android:text="@string/redpacket_tips_content2"
                android:textColor="#999"
                android:textSize="14dp" />

            <TextView
                android:id="@+id/tv_tips_content3"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="14dp"
                android:layout_marginBottom="44dp"
                android:text="@string/redpacket_tips_content3"
                android:textColor="#999"
                android:textSize="14dp" />
        </LinearLayout>
    </ScrollView>
</RelativeLayout>
